%define 	pname analog
%define 	pversion 6.0
%define 	bversion 103
%define 	rpmrelease iworx

%define 	debug_package %{nil}

# Distro Statements
%define		oscode rhe%{?rhel}x

%if 0%{?rhel} <= 7
%define 	ostype RedHat Enterprise %{?rhel}.x
%endif


%if 0%{?rhel} >= 8
%define 	ostype Almalinux %{?rhel}.x
%endif

%define	release %{bversion}.%{oscode}.%{rpmrelease}

%define		ccflags %{optflags}
%define		ldflags %{optflags}

############### RPM ################################

Summary:	WWW server logfile analysis program
Name:		%{pname}
Version:	%{pversion}
Release:	%{release}
License:	GPL

Group:		Utilities
Source0: 	%{name}-%{version}.tar.gz
URL:		http://www.analog.cx/

Distribution:	InterWorx-HAL
Vendor:		NEXCESS.NET L.L.C.
Packager:	NEXCESS.NET L.L.C. <clwells@nexcess.net>

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Analog is a popular WWW server logfile analysis program with lots of features.
You should edit the /etc/analog.cfg and customize it for your webserver, in
particular you'll probably want to configure the HOSTNAME and HOSTURL options.
Perl is required if you want to use the html forms interface (which is not
installed automatically by this package - see the documentation for instructions).

%prep

[ -n %{buildroot} ] && rm -rf %{buildroot}

[ -d $RPM_BUILD_DIR/%{name}-%{pversion} ] && rm -rf $RPM_BUILD_DIR/%{name}-%{pversion}

%setup -q

# Display compilation flags and OS with nice colors
[ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] && rm -f %{_tmppath}/%{name}-%{pversion}-show_flags
cat <<EOF >>%{_tmppath}/%{name}-%{pversion}-show_flags
#!/bin/sh

RPM="RPM RELEASE: \033[40m\033[001;033m%{release}"
OS="OS TYPE IS : \033[40m\033[001;033m%{ostype}"
CCF="CCFLAGS    : \033[40m\033[001;033m%{ccflags}"
LDF="LDFLAGS    : \033[40m\033[001;033m%{ldflags}"

echo
echo
echo -e "\033[40m\033[001;031m\$RPM\033[0m"
echo -e "\033[40m\033[001;031m\$OS\033[0m"
echo -e "\033[40m\033[001;031m\$CCF\033[0m"
echo -e "\033[40m\033[001;031m\$LDF\033[0m"
echo
echo

sleep 3

EOF

# Take care to execute and then to delete
chmod u+x %{_tmppath}/%{name}-%{pversion}-show_flags
%{_tmppath}/%{name}-%{pversion}-show_flags
[ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] && rm -f %{_tmppath}/%{name}-%{pversion}-show_flags

%build

[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}

export CPPFLAGS=""
export CFLAGS="$RPM_OPT_FLAGS -fomit-frame-pointer -fPIC $CPPFLAGS"

#./configure <-- analog is dumb and has none

%{__make} %{?_smp_mflags} \
	DEFS='-DCONFIGDIR=\"%{_sysconfdir}\" -DLANGDIR=\"%{_datadir}/analog/lang\"' \
	CFLAGS='%{ccflags}'

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/analog
mkdir -p %{buildroot}%{_datadir}/analog/images
mkdir -p %{buildroot}%{_datadir}/analog/lang
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_mandir}/man1

install -s analog %{buildroot}%{_bindir}/analog
install -d %{buildroot}%{_datadir}/analog
install -d %{buildroot}%{_datadir}/analog/lang
install -d %{buildroot}%{_datadir}/analog/images
install -m 644 analog.cfg %{buildroot}%{_sysconfdir}
install -m 644 analog.man %{buildroot}%{_mandir}/man1/analog.1

cp images/* %{buildroot}%{_datadir}/analog/images
cp lang/* %{buildroot}%{_datadir}/analog/lang

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
[ -d $RPM_BUILD_DIR/%{name}-%{pversion} ] && rm -rf $RPM_BUILD_DIR/%{name}-%{pversion}

%files
%dir %{_datadir}/analog
%dir %{_datadir}/analog/lang
%config %{_sysconfdir}/analog.cfg
%{_bindir}/analog
%{_mandir}/man1/analog.1*
%{_datadir}/analog/lang/*
%{_datadir}/analog/images/

%doc Licence.txt
%doc README.txt
%doc docs/*
%doc how-to/*
%doc examples/*

%changelog
* Mon Jan 03 2022 Joseph Purkis <jpurkis@interworx.com>
- Remove ancient dynamic gcc resolution (always resulted in just 'gcc')
- Cleaned up old Distros
* Fri Jul 23 2021 Joseph Purkis <jpurkis@interworx.com>
- Add support for building for Almalinux 8
* Tue Aug 26 2014 Matt Parmelee <mparmelee@interworx.com>
- Updated for RHEL 7.x
* Tue Jun 17 2008 Paul Oehler <poehler@interworx.com>
- Updated for Fedora 9
* Tue May 13 2008 Paul Oehler <poehler@interworx.com>
- added support for Fedora 8
* Sun May 30 2004 Chris Wells <clwells@nexcess.net>
- Initial packaging as part of InterWorx-HAL OS
